group.h File Reference
`#include "osl/rating/feature.h"`
`#include "osl/rating/range.h"`
`#include <vector>`
`#include <boost/ptr_container/ptr_vector.hpp>`

Go to the source code of this file.

## Classes

class | osl::rating::Group
| mutually exclusive set of features More...
struct | osl::rating::TakeBackGroup
struct | osl::rating::CheckGroup
class | osl::rating::SendOffGroup
struct | osl::rating::BlockGroup
struct | osl::rating::OpenGroup
struct | osl::rating::ChaseGroup
struct | osl::rating::KaranariGroup
struct | osl::rating::ImmediateAddSupportGroup
struct | osl::rating::BadLanceGroup
struct | osl::rating::PawnAttackGroup

## Namespaces

namespace | osl
namespace | osl::rating